#
# COPYRIGHT (C) 2002-2011 Rajgopal Srinivasan (rajgopal.srinivasan@tcs.com)
#
"""
.. module:: aatrans
    :platform: Unix, Windows, MacOSX
    :synopsis: Mappings from amino acid 1 and 3 letter codes

.. moduleauthor:: Rajgopal Srinivasan (rajgopal.srinivasan@tcs.com)

Mapping of amino acid three letter codes to one letter code and vice-versa
"""

AMINO31 = {
    'ALA': 'A', 'ARG': 'R', 'ASN': 'N', 'ASP': 'D', 'CYS': 'C',
    'GLN': 'Q', 'GLU': 'E', 'GLY': 'G', 'HIS': 'H', 'ILE': 'I',
    'LEU': 'L', 'LYS': 'K', 'MET': 'M', 'PHE': 'F', 'PRO': 'P',
    'SER': 'S', 'THR': 'T', 'TRP': 'W', 'TYR': 'Y', 'VAL': 'V',
    'ASX': 'B', 'GLX': 'Z', 'CYX': 'J', 'MSE': 'U',
    'MIR': 'S', 'TY2': 'Y', '-': '-'}

AMINO13 = {
    'A': 'ALA', 'R': 'ARG', 'N': 'ASN', 'D': 'ASP', 'C': 'CYS',
    'Q': 'GLN', 'E': 'GLU', 'G': 'GLY', 'H': 'HIS', 'I': 'ILE',
    'L': 'LEU', 'K': 'LYS', 'M': 'MET', 'F': 'PHE', 'P': 'PRO',
    'S': 'SER', 'T': 'THR', 'W': 'TRP', 'Y': 'TYR', 'V': 'VAL',
    'B': 'ASX', 'Z': 'GLX', 'J': 'CYX', 'U': 'MSE'}
