#
# COPYRIGHT (C) 2011 Rajgopal Srinivasan (rajgopal.srinivasan@tcs.com)
#
"""
.. module:: ese_human
    :platform: Unix, Windows, MacOSX
    :synopsis: Exon Splicing Enhancer Sites 

.. moduleauthor:: Kunal Kundu (kunal.kundu@tcs.com)

Exon Splicing Enhancer Sites predicted for human genes. This data is derived from

http://genes.mit.edu/burgelab/rescue-ese/ESE.txt

The module exports one list *ESE_MOTIFS*, which has 238 hexamers splicing enhancer motifs of human genes 
of known exon-intron structure containing over 30,000 nonredudant exons.
"""

ESE_MOTIFS=['AAAACC','AAAAGA','AAAAGC','AAACAG','AAACCA','AAACCT','AAACGA','AAAGAA','AAAGAC','AAAGAG','AAAGAT',
'AAAGCA','AAAGCT','AAAGGA','AAATCC','AACAAC','AACAAG','AACAGA','AACCAA','AACGAA','AACTGG','AACTTC',
'AAGAAA','AAGAAC','AAGAAG','AAGAAT','AAGACA','AAGACT','AAGAGA','AAGAGG','AAGATC','AAGATG','AAGCAA',
'AAGCAG','AAGCCA','AAGCTA','AAGGAA','AAGGAC','AAGGAT','AATCAA','AATCCA','AATGAC','AATGGA','ACAAAG',
'ACAACG','ACAACT','ACAAGA','ACAGAA','ACCTGA','ACGAAA','ACGAAG','ACGACT','ACTGAA','ACTTCA','ACTTCG',
'AGAAAA','AGAAAC','AGAAAG','AGAACA','AGAACT','AGAAGA','AGAAGC','AGAAGG','AGAAGT','AGAATG','AGACAA',
'AGACAT','AGACGA','AGAGAA','AGAGAT','AGAGGA','AGATGA','AGATGC','AGATGT','AGCAAA','AGCAGA','AGGAAA',
'AGGAAC','AGGAAG','AGGACA','AGGAGA','AGTGAA','ATCAAA','ATCAAG','ATCAAT','ATCAGA','ATCCAA','ATGAAG',
'ATGAGA','ATGATG','ATGCAA','ATGGAA','ATGGCG','ATTCAG','ATTGGA','CAAAAC','CAAAAG','CAAAGA','CAACTT',
'CAAGAA','CAAGAT','CAAGTA','CAATCA','CAGAAA','CAGAAG','CAGAAT','CAGAGG','CAGGAA','CCTGAA','CGAAAA',
'CGAACA','CGAAGA','CGACGA','CGTATG','CTGAAA','CTGAAG','CTTCAG','GAAAAA','GAAAAC','GAAAAG','GAAACA',
'GAAACC','GAAACG','GAAACT','GAAAGA','GAAAGC','GAAATC','GAACAA','GAACAT','GAACTG','GAACTT','GAAGAA',
'GAAGAC','GAAGAG','GAAGAT','GAAGCA','GAAGGA','GAAGTA','GAAGTT','GAATCA','GACAAA','GACAAT','GACGAA',
'GACGAC','GAGAAA','GAGAAG','GAGAGA','GAGATG','GAGGAA','GAGGAG','GAGGAT','GATATC','GATATG','GATCAA',
'GATCAT','GATGAA','GATGAG','GATGAT','GATGCA','GATGGA','GATTCA','GCAAAA','GCAAGA','GCAGAA','GGAAAA',
'GGAAAC','GGAAGA','GGAGAA','GGAGGA','GGATCA','GTCAAG','GTGAAG','TACAAG','TACAGA','TATGGA','TCAAGA',
'TCAGAA','TCAGGA','TGAAAC','TGAAAG','TGAAGA','TGAAGC','TGAAGG','TGAAGT','TGAGAA','TGATGA','TGCAAC',
'TGGAAA','TGGAAG','TGGAAT','TGGATC','TTCAGA','TTCGAA','TTGAAG','TTGCGA','TTGGAA','TTGGAT','TTTGGA',
'AAAAAG','AAACTC','AACATG','AACCAG','AACTAC','AAGGAG','AATACG','AATCAG','AATGAA','ACATGA','ACGCAA',
'ACTACA','ACTGGA','AGTGAC','ATCTTC','ATGAAA','ATGGAT','ATGGTC','CAAACA','CAGATC','CATCAG','CGAATG',
'CGTCGC','CTACAT','CTCCAT','GAAAAT','GAACCA','GCGAAT','GGAGAT','GTCGAC','GTGTCG','GTTGGA','TATGAA',
'TCAACG','TCATCA','TCGTCG','TCTTCA','TGACTG','TGGAAC','TGTGGA']

